MQAliasQueue (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.messaging.mq.MQAliasQueue interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.messaging.mq
Interface MQAliasQueue

All Superinterfaces:
  ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, MQBase, MQQueue, java.io.Serializable

    public interface MQAliasQueue

extends MQQueue

From section 6.2.3 of MQ Fundamentals: An alias queue object is a representation of another target queue object, which has a different name. An alias queue can be accessed in the same way as the target queue object of which it is an alias. References to it are redirected to the target queue object specified as part of the alias queue definition. The target queue object specified must be one of the following types: -A local queue defined on the same queue manager as the alias queue object. -A remote queue object defined on the same queue manager as the alias queue object. -An instance of a queue object shared within a queue manager cluster of which the queue manager is a member.

Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`boolean` | `getGet()` Whether applications are to be permitted to get messages from this queue: ENABLED - Messages can be retrieved from the queue (by suitably authorized applications).
`java.lang.String` | `getTargetQueue()` Queue name to which the alias resolves (parameter identifier: MQCA_BASE_Q_NAME).
`boolean` | `hasGet()`
`boolean` | `hasTargetQueue()`
`void` | `setGet(boolean x)`
`void` | `setTargetQueue(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQQueue
`getDefaultPersistence, getName, getPut, getQSGDISP, getQueueManager, hasDefaultPersistence, hasName, hasPut, hasQSGDISP, hasQueueManager, setDefaultPersistence, setName, setPut, setQSGDISP, setQueueManager`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.app.messaging.mq.MQBase
`getDefault, getIsValid, getSystem, hasDefault, hasIsValid, hasSystem, setDefault, setIsValid, setSystem`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getTargetQueue

    java.lang.String getTargetQueue()
                                    throws AttributeNotSetException

  Queue name to which the alias resolves (parameter identifier: MQCA_BASE_Q_NAME). This is the name of a queue that is defined to the local queue manager. The maximum length of the string is MQ_Q_NAME_LENGTH.

  Throws:
    `AttributeNotSetException`

### setTargetQueue

    void setTargetQueue(java.lang.String x)

### hasTargetQueue

    boolean hasTargetQueue()

### getGet

    boolean getGet()
                   throws AttributeNotSetException

  Whether applications are to be permitted to get messages from this queue: ENABLED - Messages can be retrieved from the queue (by suitably authorized applications). DISABLED -Applications cannot retrieve messages from the queue.

  Throws:
    `AttributeNotSetException`

### setGet

    void setGet(boolean x)

### hasGet

    boolean hasGet()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD